Twitter Tools

Step by step guide

Step 1: Installing the Twitter Tools

1.1 Minimum requirements.

  • Joomla 1.5, Joomla 1.6, Joomla 1.7, Joomla 2.5 or Joomla 3.x
  • PHP 5.x
  • MySQL 5.x

1.2 Perform a new installation.
1. Choose the appropriate version for your Joomla site and download the zip package.
2. Log in to the administrator panel.
3. Go to Extensions > Extension Manager (Install/Uninstall).
4.Click Choose… and select the appropriate version of the Twitter Tools (

  • Click on the Upload & Install button.
  • Repeat steps 4 and 5 for Module ( and Plugin (
  • Go to Extensions > Plug-in Manager and enable System Twitter Tools.

If any problem occurs, please contact us at
Next Step

Never miss important news and exclusive offers!

Join Our Community